function [tmp7, tmp8] = judgeFocalNotGaze(fMatrix)
    vectorK = [0; 0; 1];    
        
    'not gaze'
    matrixTmp = fMatrix * fMatrix';
    [U , S , V] = svd(matrixTmp);
    e1 = V(: , 3);
    e1 = e1 / norm(e1);
    
    matrixTmp = fMatrix' * fMatrix;
    [U , S , V] = svd(matrixTmp);
    e2 = V(: , 3);
    e2 = e2 / norm(e2);
    
    tmp1 = norm(fMatrix * vectorK , 'fro')^2;
    tmp2 = norm(fMatrix' * vectorK , 'fro')^2;
    tmp3 = dot(vectorK , fMatrix * fMatrix' * fMatrix * vectorK);
    tmp4 = norm(cross(e1 , vectorK) , 'fro')^2;
    tmp5 = norm(cross(e2 , vectorK) , 'fro')^2;
    tmp6 = dot(vectorK , fMatrix * vectorK);
    
    
    tmp7 = 1 + (tmp1 - tmp3 * tmp5 / tmp6 ) / (tmp5 * tmp2 - tmp6^2);
    tmp8 = 1 + (tmp2 - tmp3 * tmp4 / tmp6 ) / (tmp4 * tmp1 - tmp6^2);
    