function outputError()


global shapeList;
          
% conditions
global outputDirectoryPath;
global directoryPath;
global testLSM;
global testTaubin;
global testFix;
global testNotFix;
global shape;
global focus;
global focus1;
global focus2;
global error;
global version;
global motion1;
global motion2;
global motionC;
global motionE

[errorList , lengthOfErrorList] = composeDirectProduct({'-N%s' , '-%02d' } , ...
    {error  , version} ,...
    {size(error , 2) , size(version , 2)});
lengthOfErrorList = lengthOfErrorList +1;
errorList{lengthOfErrorList} = '';

% FIX --------------------------------------------------------------
if testFix ,
   
    disp('--- DOING: FIX');
    
    [inputList1 , len1] = composeDirectProduct(...
        { 'fix_100/%s' , '-f%d' ,  '-%s' , '%s.dat'  } , ...
        { shape , focus , motion1 , errorList} , ...
        {size(shape , 2) , size(focus , 2) , size(motion1 , 2) , lengthOfErrorList});
    
    [inputList2 , len2] = composeDirectProduct(...
        {  'fix_100/%s' , '-f%d' , '-%s' , '%s.dat'  } , ...
        { shape , focus , motion2 , errorList} , ...
        { size(shape , 2) , size(focus , 2) , size(motion2 , 2) , lengthOfErrorList});

    outputErrorImplFix(inputList1 , inputList2 , len1 );
end


% NOT FIX --------------------------------------------------------------

if testNotFix ,
   
    disp('--- DOING: FIX');
    
    [inputList1 , len1] = composeDirectProduct(...
        { 'not_fix_100/%s' , '-f%d' ,  '-c%02d' , '-e%02d' , '%s-1.dat'  } , ...
        { shape , focus1 , motionC , motionE , errorList} , ...
        {size(shape , 2) , size(focus1 , 2) , size(motionC , 2) , size(motionE , 2) ,  lengthOfErrorList});
    
    [inputList2 , len2] = composeDirectProduct(...
        {  'not_fix_100/%s' , '-f%d' , '-c%02d' , '-e%02d'  , '%s-2.dat'  } , ...
        { shape , focus2 , motionC , motionE , errorList} , ...
        { size(shape , 2) , size(focus2 , 2) , size(motionC , 2) , size(motionE , 2) , lengthOfErrorList});

    outputErrorImplNotFix(inputList1 , inputList2 , len1 );
end


return;