function outputResult()


global shapeList;
          
% conditions
global outputDirectoryPath;
global directoryPath;
global testLSM;
global testTaubin;
global testFix;
global testNotFix;
global shape;
global focus;
global focus1;
global focus2;
global error;
global version;
global motion1;
global motion2;
global motionC;
global motionE




% FIX --------------------------------------------------------------
if testFix ,
   
    disp('--- DOING: FIX');
    
    [inputList1 , len1] = composeDirectProduct(...
        { 'fix_100/%s' , '-f%d' ,  '-%s%%s'  } , ...
        { shape , focus , motion1} , ...
        {size(shape , 2) , size(focus , 2) , size(motion1 , 2) });
    
    [inputList2 , len2] = composeDirectProduct(...
        {  'fix_100/%s' , '-f%d' , '-%s%%s'  } , ...
        { shape , focus , motion2 } , ...
        { size(shape , 2) , size(focus , 2) , size(motion2 , 2) });
    
    outputResultImplFix(inputList1 , inputList2 , len1);
end


% NOT FIX --------------------------------------------------------------

if testNotFix ,
   
    disp('--- DOING: FIX');
    
    [inputList1 , len1] = composeDirectProduct(...
        { 'not_fix_100/%s' , '-f%d' ,  '-c%02d' , '-e%02d%%s-1'  } , ...
        { shape , focus1 , motionC , motionE } , ...
        {size(shape , 2) , size(focus1 , 2) , size(motionC , 2) , size(motionE , 2)});
    
    [inputList2 , len2] = composeDirectProduct(...
        {  'not_fix_100/%s' , '-f%d' , '-c%02d' , '-e%02d%%s-2'  } , ...
        { shape , focus2 , motionC , motionE } , ...
        { size(shape , 2) , size(focus2 , 2) , size(motionC , 2) , size(motionE , 2) });

    
    outputResultImplNotFix(inputList1 , inputList2 , len1);
end

return;