function fMatrix = createFundamentalMatrix(focul_base , focul1 , focul2 , rotation ,transVector  )



% cross transVector , rotation
crossedMatrix = zeros(3);
for i = 1 : 3
    crossedMatrix(: , i) = cross(transVector , rotation(: , i));
end

diagMatrix1 = diag([1, 1, focul1 / focul_base]);
diagMatrix2 = diag([1, 1, focul2 / focul_base]);

fMatrix = diagMatrix1 * crossedMatrix * diagMatrix2;
fMatrix = fMatrix / norm(fMatrix , 'fro');
