function eigenVector = initializeWithLSM(pairList , len , focus_base)

matrixLS = zeros(9 , 9);
for i = 1 : len
    pair = pairList{i , 1};
    x1 = pair{1} ;
    y1 = pair{2} ;
    x2 = pair{3} ;
    y2 = pair{4} ;
    vectorXi = [ x1 * x2 ;
                 x1 * y2 ;
                 focus_base * x1 ;
                 y1 * x2 ;
                 y1 * y2 ;
                 focus_base * y1 ;
                 focus_base * x2 ;
                 focus_base * y2 ;
                 focus_base * focus_base];
    matrixLS = matrixLS + vectorXi * vectorXi';
end
matrixLS = matrixLS / norm(matrixLS , 'fro');


[U , S , V] = svd(matrixLS);
eigenVector = V(: , 9);

