function [list , len] = scanNumberTuples(n , lines , length_of_lines)
% <usage>
% this function makes a list converting each lines to number n-tuples.
% mis-matched lines are discarded.
% you can get scanned values by list{i , 1}{n} ,
% where i is index of the list and n is index of values in the tuple.
format = '';
for i = 1 : n 
    format = strcat(format , '%f');
end

list = cell(length_of_lines , 1 );
len = 0;
for i = 1 : length_of_lines
    if size( regexp(lines{i} , '#') , 1) ~= 0 , continue; end
    indeces = regexp(lines{i} , '[-+0-9.e]+');% lazy FE
    if length(indeces) ~= n , continue; end
    len = len+1;
    columns = sscanf(lines{i} , format , [1 , n]);
    for j = 1 : n ,
        list{len , 1 }{j} = columns(j);
    end
end


